class CheckEmailResult {
  static String sentEmail = 'sentEmail';

  String? message;
  String? thumbnail;
  String? displayName;
  String? username;
  int? roleId;
  String? uniqueId;

  CheckEmailResult({
    this.message,
    this.thumbnail,
    this.displayName,
    this.username,
    this.roleId,
    this.uniqueId,
  });

  CheckEmailResult.fromJson(Map<String, dynamic> json) {
    message = json["message"];
    thumbnail = json["thumbnail"];
    displayName = json["displayName"];
    username = json["username"];
    roleId = json["roleId"];
    uniqueId = json["uniqueId"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["message"] = message;
    _data["thumbnail"] = thumbnail;
    _data["displayName"] = displayName;
    _data["username"] = username;
    _data["roleId"] = roleId;
    _data["uniqueId"] = uniqueId;
    return _data;
  }
}
