class CountryAvailable {
  String? countryName;
  String? iso;
  String? homesCountryPictureUrl;

  CountryAvailable({this.countryName, this.iso, this.homesCountryPictureUrl});

  CountryAvailable.fromJson(Map<String, dynamic> json) {
    countryName = json["countryName"];
    iso = json["iso"];
    homesCountryPictureUrl = json["homesCountryPictureUrl"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["countryName"] = countryName;
    _data["iso"] = iso;
    _data["homesCountryPictureUrl"] = homesCountryPictureUrl;
    return _data;
  }
}
