
class LegalInfo {
  int? id;
  String? pageLabel;
  String? content;

  LegalInfo({this.id, this.pageLabel, this.content});

  LegalInfo.fromJson(Map<String, dynamic> json) {
    id = json["id"];
    pageLabel = json["pageLabel"];
    content = json["content"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["pageLabel"] = pageLabel;
    _data["content"] = content;
    return _data;
  }

  LegalInfo copyWith({
    int? id,
    String? pageLabel,
    String? content,
  }) => LegalInfo(
    id: id ?? this.id,
    pageLabel: pageLabel ?? this.pageLabel,
    content: content ?? this.content,
  );
}