class BankAccountModel {
  int? accountType;
  String? bankName;
  String? currency;
  String? swiftCode;
  String? bicCode;
  String? bankAddress;
  String? cryptoWalletaddress;
  int? id;
  String? fullName;
  String? accountNumber;

  BankAccountModel({
    this.accountType,
    this.bankName,
    this.currency,
    this.swiftCode,
    this.bicCode,
    this.bankAddress,
    this.cryptoWalletaddress,
    this.id,
    this.accountNumber,
    this.fullName,
  });

  BankAccountModel.fromJson(Map<String, dynamic> json) {
    if (json["accountType"] is int) this.accountType = json["accountType"];
    if (json["bankName"] is String) this.bankName = json["bankName"];
    if (json["currency"] is String) this.currency = json["currency"];
    if (json["swiftCode"] is String) this.swiftCode = json["swiftCode"];
    if (json["bicCode"] is String) this.bicCode = json["bicCode"];
    if (json["bankAddress"] is String) this.bankAddress = json["bankAddress"];
    if (json["cryptoWalletaddress"] is String)
      this.cryptoWalletaddress = json["cryptoWalletaddress"];
    if (json["id"] is int) this.id = json["id"];
    if (json["fullName"] is String) this.fullName = json["fullName"];
    if (json["accountNumber"] is String)
      this.accountNumber = json["accountNumber"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["accountType"] = this.accountType;
    data["bankName"] = this.bankName;
    data["currency"] = this.currency;
    data["swiftCode"] = this.swiftCode;
    data["bicCode"] = this.bicCode;
    data["bankAddress"] = this.bankAddress;
    data["cryptoWalletaddress"] = this.cryptoWalletaddress;
    data["id"] = this.id;
    data["fullName"] = this.fullName;
    data["accountNumber"] = this.accountNumber;
    return data;
  }
}
