/// id : 0
/// serviceLabel : "string"
/// placeId : 0
/// serviceInfos : "string"
/// infosUrl : "string"
/// ticketImageUrl : "string"
/// ticketOptionalMessage : "string"
/// typeId : 0
/// thumbnailService : "string"
/// visibleInOowoo : 0
/// maxDelayCancel : 0
/// price : 0
/// currency : "string"
/// allowBookWithoutPay : 0
/// allowBookWithoutConfirmation : 0

class QueueOowooModel {
  int? id;
  String? serviceLabel;
  int? placeId;
  String? serviceInfos;
  String? infosUrl;
  String? ticketImageUrl;
  String? ticketOptionalMessage;
  int? typeId;
  String? thumbnailService;
  int? visibleInOowoo;
  int? maxDelayCancel;
  dynamic price;
  String? currency;
  int? allowBookWithoutPay;
  int? allowBookWithoutConfirmation;
  int? nextTime;

  QueueOowooModel(
      {this.id,
      this.serviceLabel,
      this.placeId,
      this.serviceInfos,
      this.infosUrl,
      this.ticketImageUrl,
      this.ticketOptionalMessage,
      this.typeId,
      this.thumbnailService,
      this.visibleInOowoo,
      this.maxDelayCancel,
      this.price,
      this.currency,
      this.nextTime,
      this.allowBookWithoutPay,
      this.allowBookWithoutConfirmation});

  QueueOowooModel.fromJson(dynamic json) {
    id = json["id"];
    serviceLabel = json["serviceLabel"];
    placeId = json["placeId"];
    serviceInfos = json["serviceInfos"];
    infosUrl = json["infosUrl"];
    ticketImageUrl = json["ticketImageUrl"];
    ticketOptionalMessage = json["ticketOptionalMessage"];
    typeId = json["typeId"];
    thumbnailService = json["thumbnailService"];
    visibleInOowoo = json["visibleInOowoo"];
    maxDelayCancel = json["maxDelayCancel"];
    price = json["price"];
    currency = json["currency"];
    nextTime = json["nextTime"];
    allowBookWithoutPay = json["allowBookWithoutPay"];
    allowBookWithoutConfirmation = json["allowBookWithoutConfirmation"];
  }

  static List<QueueOowooModel> listFromJson(dynamic json) {
    List<QueueOowooModel> all = [];
    if (json != null) {
      json.forEach((v) {
        all.add(QueueOowooModel.fromJson(v));
      });
    }
    return all;
  }

  Map<String, dynamic> toJson() {
    var map = <String, dynamic>{};
    map["id"] = id;
    map["serviceLabel"] = serviceLabel;
    map["placeId"] = placeId;
    map["serviceInfos"] = serviceInfos;
    map["infosUrl"] = infosUrl;
    map["ticketImageUrl"] = ticketImageUrl;
    map["ticketOptionalMessage"] = ticketOptionalMessage;
    map["typeId"] = typeId;
    map["thumbnailService"] = thumbnailService;
    map["visibleInOowoo"] = visibleInOowoo;
    map["maxDelayCancel"] = maxDelayCancel;
    map["price"] = price;
    map["currency"] = currency;
    map["nextTime"] = nextTime;
    map["allowBookWithoutPay"] = allowBookWithoutPay;
    map["allowBookWithoutConfirmation"] = allowBookWithoutConfirmation;
    return map;
  }
}
