class ThumbnailOfCate {
  int? id;
  String? label;
  String? type;
  String? url;
  String? compressedUrl;

  ThumbnailOfCate({
    this.id,
    this.label,
    this.type,
    this.url,
    this.compressedUrl,
  });

  ThumbnailOfCate.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) {
      id = json["id"];
    }
    if (json["label"] is String) {
      label = json["label"];
    }
    if (json["type"] is String) {
      type = json["type"];
    }
    if (json["url"] is String) {
      url = json["url"];
    }
    compressedUrl = json['compressedUrl'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["type"] = type;
    _data["url"] = url;
    _data["compressedUrl"] = compressedUrl;
    return _data;
  }
}

class ThumbnailUrlOfCat {
  int? id;
  String? label;
  String? type;
  String? url;
  String? compressedUrl;
  int? uploadedAt;
  int? catId;

  ThumbnailUrlOfCat({
    this.id,
    this.label,
    this.type,
    this.url,
    this.uploadedAt,
    this.catId,
    this.compressedUrl,
  });

  ThumbnailUrlOfCat.fromJson(Map<String, dynamic> json) {
    if (json["id"] is int) {
      id = json["id"];
    }
    if (json["label"] is String) {
      label = json["label"];
    }
    if (json["type"] is String) {
      type = json["type"];
    }
    if (json["url"] is String) {
      url = json["url"];
    }
    if (json["uploadedAt"] is int) {
      uploadedAt = json["uploadedAt"];
    }
    if (json["catId"] is int) {
      catId = json["catId"];
    }
    compressedUrl = json['compressedUrl'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["type"] = type;
    _data["url"] = url;
    _data["uploadedAt"] = uploadedAt;
    _data["catId"] = catId;
    _data["compressedUrl"] = compressedUrl;
    return _data;
  }
}
