class WalletInfo {
  int? id;
  String? walletUniqueId;
  int? lastUpdateLoadAt;
  int? lastUpdateDebitAt;
  dynamic? totalTipsQuantity;
  dynamic? totalMoonnTokenQuantity;

  WalletInfo(
      {this.id,
      this.walletUniqueId,
      this.lastUpdateLoadAt,
      this.lastUpdateDebitAt,
      this.totalTipsQuantity,
      this.totalMoonnTokenQuantity});

  WalletInfo.fromJson(Map<String, dynamic> json) {
    this.id = json["id"];
    this.walletUniqueId = json["walletUniqueId"];
    this.lastUpdateLoadAt = json["lastUpdateLoadAt"];
    this.lastUpdateDebitAt = json["lastUpdateDebitAt"];
    this.totalTipsQuantity = json["totalTipsQuantity"]; 
    this.totalMoonnTokenQuantity = json["totalMoonnTokenQuantity"];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data["id"] = this.id;
    data["walletUniqueId"] = this.walletUniqueId;
    data["lastUpdateLoadAt"] = this.lastUpdateLoadAt;
    data["lastUpdateDebitAt"] = this.lastUpdateDebitAt;
    data["totalTipsQuantity"] = this.totalTipsQuantity;
    data["totalMoonnTokenQuantity"] = this.totalMoonnTokenQuantity;
    return data;
  }
}
